export class Pair {
    static getAddress(tokenA: any, tokenB: any): any;
    constructor(tokenAmountA: any, tokenAmountB: any);
    liquidityToken: Token;
    tokenAmounts: any[];
    /**
     * Returns true if the token is either token0 or token1
     * @param token to check
     */
    involvesToken(token: any): any;
    /**
     * Returns the current mid price of the pair in terms of token0, i.e. the ratio of reserve1 to reserve0
     */
    get token0Price(): Price;
    /**
     * Returns the current mid price of the pair in terms of token1, i.e. the ratio of reserve0 to reserve1
     */
    get token1Price(): Price;
    /**
     * Return the price of the given token in terms of the other token in the pair.
     * @param token token to return price of
     */
    priceOf(token: any): Price;
    /**
     * Returns the chain ID of the tokens in the pair.
     */
    get chainId(): any;
    get token0(): any;
    get token1(): any;
    get reserve0(): any;
    get reserve1(): any;
    reserveOf(token: any): any;
    getOutputAmount(inputAmount: any): (TokenAmount | Pair)[];
    getInputAmount(outputAmount: any): (TokenAmount | Pair)[];
    getLiquidityMinted(totalSupply: any, tokenAmountA: any, tokenAmountB: any): TokenAmount;
    getLiquidityValue(token: any, totalSupply: any, liquidity: any, feeOn: boolean | undefined, kLast: any): TokenAmount;
}
import { Token } from "../../libs/uniswap/entities/token";
import { Price } from "../../libs/uniswap/entities/fractions/price";
import { TokenAmount } from "../../libs/uniswap/entities/fractions/tokenAmount";
